<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Styling Properties and Position</title>
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>
	<div id="div-1">This is a div</div>
		<span id="span-1">This is a span</span>
		<img src="https://place-puppy.com/450x450" id="img">
		<span id="span-2">This is another span</span>
		<div id="div-2">This is another div</div>

		<h3>Notes in block, inline and inline-block</h3>
		<p id="p-1">Block takes up the whole width</p>
		<p id="p-2">width 60</p>
		<p id="p-3">witdh 40</p>

		<p>Even if there is enought space, block elements do not sit next to each other unless if they are floated.</p>

		<p>Inline Elements are things like bold and Italics. You cannot control the height and width of these elements.</p>

		<p>Inline-block sit on the same line and combines block and inline properties</p>

		<div class="sample">width = 30</div>		
		<div class="sample">width = 30</div>
		<div class="sample">width = 30</div>

<h3>Float</h3>

<p>The float property is used for positioning and formatting contenct e.g. let an image float left to the text in a container</p>

<p>
<img src="https://place-puppy.com/450x450" class="img-float">
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

</p>
<hr>

<h3>CSS Units</h3>
<h4>px vs %</h4>

<div class="box fifty-percent">50%</div>
<div class="box one-hundred-pixels">100px</div>

<br>
<div class="parent">
	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>
</div>

<hr>

<section class="background">
	<div class="container-bg">
		<h3 class="bg-title">CSS Background Properties</h3>
	</div>
</section>

<hr>
<div class="parent-element">Parent Element
<div class="child-1">Child number 1</div>
<div class="child-2">Child number 2</div>
<div class="child-3">Child number 3</div>
</div>

<hr>

<h2>Z-index Example</h2>
<p>An element with greater stack order is always above an element with a lower stack</p>

<div class="container">
	<div class="black-box">z index 1</div>
	<div class="gray-box">z index 2</div>
</div>

</body>
</html>